import { IDocNodeParameters, DocCodeSpan, DocNode } from '@microsoft/tsdoc';
/**
 * Constructor parameters for {@link DocLinkedCodeSpan}.
 */
export interface IDocLinkedCodeSpanParameters extends IDocNodeParameters {
    codeSpan: DocCodeSpan;
    urlDestination: string;
}
/**
 * Represents an inline code span that is also a link.
 */
export declare class DocLinkedCodeSpan extends DocNode {
    readonly codeSpan: DocCodeSpan;
    readonly urlDestination: string;
    /**
     * @internal
     */
    constructor(parameters: IDocLinkedCodeSpanParameters);
    /** @override */
    readonly kind: string;
}
//# sourceMappingURL=DocLinkedCodeSpan.d.ts.map