"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const tsdoc_1 = require("@microsoft/tsdoc");
/**
 * Represents an inline code span that is also a link.
 */
class DocLinkedCodeSpan extends tsdoc_1.DocNode {
    /**
     * @internal
     */
    constructor(parameters) {
        super(parameters);
        this.codeSpan = parameters.codeSpan;
        this.urlDestination = parameters.urlDestination;
    }
    /** @override */
    get kind() {
        return "LinkedCodeSpan" /* LinkedCodeSpan */;
    }
}
exports.DocLinkedCodeSpan = DocLinkedCodeSpan;
//# sourceMappingURL=DocLinkedCodeSpan.js.map